Subject: BGP labels: prefix types and label types

From: Eric Rosen <[email-masked]>
Date: Wed, 15 Dec 1999 15:09:29 -0500

Liam> My other concern is with the  TLV encoding. I think that designing for
Liam> the future would dictate a nested TLV encoding so that:
Liam> 1. a label  type could be  carried - yes  I know that the  only labels
Liam>    being distributed are not top of stacks and therefor must be the 20
Liam>    bit variety  but maybe  in the future  the level  1 LSP could  be a
Liam>    lambda with an ATM label next.
Liam> 2. Prefixes would also have a type - IPv4, IPv6 etc

The intention is  to use the AFI field in Multiprotocol  BGP to identify the
address  family (IPv4,  IPv6, etc.)  and  to use  the sub-AFI  field to  say
whether the NLRI is "ordinary",  "labeled", etc.  Thus if different kinds of
label are needed, a new sub-AFI can be used.  So I think the prefix type and
address type fields are already present.